Subject: [PATCH 04/15] pinctrl: sunxi: specify clk name when retrieving pinctrl pio clk

From: [email-masked] (Boris BREZILLON)
Date: Thu, 10 Apr 2014 23:17:28 +0200

Hello Linus,

On 10/04/2014 20:16, Linus Walleij wrote:
> On Thu, Apr 10, 2014 at 8:14 PM, Linus Walleij <[email-masked]> wrote:
>> On Wed, Apr 9, 2014 at 3:51 PM, Boris BREZILLON
>> <[email-masked]> wrote:
>>
>>> Specify base pio clk name when retrieving it using the CCF.
>>> This way we will avoid conflicts when introducing a second clk for the A31
>>> SoC.
>>>
>>> Signed-off-by: Boris BREZILLON <[email-masked]>
>> Are you merging all these through ARM SoC?
>>
>> In that case
>> Acked-by: Linus Walleij <[email-masked]>
>>
>> If it's OK to merge stand-alone tell me and I'll apply it to
>> the pinctrl tree.
> Hm there seems to be quite a few patches to pinctrl here...
>
> May I apply this and the others to the pinctrl tree simply?

Actually I made a v2 (and then a v3 https://lkml.org/lkml/2014/4/10/320
:-)) of this series, in which I removed all DT related stuff.
So, if you agree with these changes, I guess you can take them through
you tree.

Best Regards,

Boris

>
> As DTS files should be maintained separately I don't think
> it's important to keep driver and DTS file changes together.
>
> Yours,
> Linus Walleij

-- 
Boris Brezillon, Free Electrons
Embedded Linux and Kernel engineering
http://free-electrons.com